---
title: isPrimary
slug: Web/API/BluetoothRemoteGATTService/isPrimary
tags:
  - API
  - Bluetooth
  - BluetoothRemoteGATTService
  - Experimental
  - Property
  - Reference
  - Web Bluetooth API
  - isPrimary
---
<p>{{SeeCompatTable}}</p>

<p>The <strong><code>BluetoothGATTService.isPrimary</code></strong> read-only property returns a {{jsxref("Boolean")}} that indicates whether this is a primary service. If it is not a primary service, it is a secondary service.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <em>isPrimary</em> = BluetoothGATTService.<em>isPrimary</em></pre>

<h3 id="Returns">Returns</h3>

<p>A {{jsxref("Boolean")}}.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName("Web Bluetooth", "#dom-bluetoothremotegattservice-isprimary", "isPrimary")}}</td>
   <td>{{Spec2("Web Bluetooth")}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.BluetoothRemoteGATTService.isPrimary")}}</p>

<div>{{APIRef("Web Bluetooth")}}</div>
